package com.prolog.cs.biz.inbound.vo.task;

import com.prolog.cs.biz.inbound.dto.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 质检任务查询类
 * 
 * @author Xiong
 *
 */
@ApiModel
public class TaskQcDetailQueryVO extends PageParam implements Serializable {

	private static final long serialVersionUID = -2876568933457298478L;

	@ApiModelProperty(value = "收货单头ID")
	private String rcvHeaderId;

	@ApiModelProperty(value = "收货行头ID")
	private String rcvLineId;

	@ApiModelProperty(value = "商品ID")
	private String itemId;

	@ApiModelProperty(value = "双人业务类型(0:正常 1：双人验收，默认正常)")
	private Integer itemHealthIsDouble;

	@ApiModelProperty(value = "批号")
	private String lotNum;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "第几次检查")
	private Integer times;

	@ApiModelProperty(value = "批次号")
	private String batchNum;

	@ApiModelProperty(value = "企业id")
	private String enterpriseId;

	@ApiModelProperty(value = "货主ID")
	private String mtlOwnerId;

	@ApiModelProperty(value = "仓库ID")
	private String warehouseId;

	@ApiModelProperty(value = "包含的头表集合(rcvHeaderId)")
	private List<String> includeHids;
	@ApiModelProperty(value = "不包含的头表集合")
	private List<String> excludeHids;

	@ApiModelProperty(value = "包含的任务id集合(taskRqcId)")
	private List<String> includeIds;
	@ApiModelProperty(value = "不包含的任务id集合")
	private List<String> excludeIds;

	@ApiModelProperty(value = "质检单头ID")
	private String rqcHeaderId;

	@ApiModelProperty(value = "操作员")
	private String executor;

	// 容器号
	@ApiModelProperty(value = "容器编码")
	private String containerCode;

	// 商品条码,编码,助记码,名称模糊查
	@ApiModelProperty(value = "商品条件(商品条码,编码,助记码,名称模糊查)")
	private String itemCondition;

	@ApiModelProperty(value = "质检任务id")
	private String taskRqcId;

	@ApiModelProperty(value = "打印状态0：未打印 1：已打印", position = -1)
	private String printStatus;

	public String getContainerCode() {
		return containerCode;
	}

	public void setContainerCode(String containerCode) {
		this.containerCode = containerCode;
	}

	public String getItemCondition() {
		return itemCondition;
	}

	public void setItemCondition(String itemCondition) {
		this.itemCondition = itemCondition;
	}

	public String getExecutor() {
		return executor;
	}

	public void setExecutor(String executor) {
		this.executor = executor;
	}

	public String getRqcHeaderId() {
		return rqcHeaderId;
	}

	public void setRqcHeaderId(String rqcHeaderId) {
		this.rqcHeaderId = rqcHeaderId;
	}

	public List<String> getIncludeHids() {
		return includeHids;
	}

	public void setIncludeHids(List<String> includeHids) {
		this.includeHids = includeHids;
	}

	public List<String> getExcludeHids() {
		return excludeHids;
	}

	public void setExcludeHids(List<String> excludeHids) {
		this.excludeHids = excludeHids;
	}

	public List<String> getIncludeIds() {
		return includeIds;
	}

	public void setIncludeIds(List<String> includeIds) {
		this.includeIds = includeIds;
	}

	public List<String> getExcludeIds() {
		return excludeIds;
	}

	public void setExcludeIds(List<String> excludeIds) {
		this.excludeIds = excludeIds;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getRcvLineId() {
		return rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public Integer getItemHealthIsDouble() {
		return itemHealthIsDouble;
	}

	public void setItemHealthIsDouble(Integer itemHealthIsDouble) {
		this.itemHealthIsDouble = itemHealthIsDouble;
	}

	public String getLotNum() {
		return lotNum;
	}

	public void setLotNum(String lotNum) {
		this.lotNum = lotNum;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Integer getTimes() {
		return times;
	}

	public void setTimes(Integer times) {
		this.times = times;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getTaskRqcId() {
		return taskRqcId;
	}

	public void setTaskRqcId(String taskRqcId) {
		this.taskRqcId = taskRqcId;
	}

	public String getPrintStatus() {
		return printStatus;
	}

	public void setPrintStatus(String printStatus) {
		this.printStatus = printStatus;
	}
}
